PUT
/api/v1/group/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/group/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Accounting",
"business_unit": "14612160-6bd7-43b3-8939-503292d25b65"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Accounting",
"business_unit": "14612160-6bd7-43b3-8939-503292d25b65"
}
Response examples (200)
[
{
"uuid": "c10f3b70-6c2a-4842-817d-b3589143350f",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "ebd4cfea-4247-4844-b180-f90348cadf36",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-28T10:39:27+00:00",
"updated_at": "2026-10-28T10:39:27+00:00"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}